File vlc-beta.changes of Package vlc-beta

-------------------------------------------------------------------
Fri Aug 28 20:20:20 UTC 2020 - olaf@aepfle.de

- Update to 20200827.968e3788f5

-------------------------------------------------------------------
Sun Jan 21 21:10:34 UTC 2018 - enzokiel@kabelmail.de

- Enabled chromecast support.

-------------------------------------------------------------------
Fri Jun  2 19:10:30 UTC 2017 - zaitor@opensuse.org

- Package new libmpg123 codec plugin

-------------------------------------------------------------------
Sun Oct 16 09:46:23 UTC 2016 - aloisio@gmx.com

- enabled libcrystalhd and systemd

-------------------------------------------------------------------
Mon Aug  8 07:24:42 UTC 2016 - davejplater@gmail.com

- Conflicted vlc-codecs

-------------------------------------------------------------------
Sat Apr 30 10:38:54 UTC 2016 - aloisio@gmx.com

- Switched to ffmpeg 3.0

-------------------------------------------------------------------
Mon Sep 14 20:37:04 UTC 2015 - aloisio@gmx.com

- Dropped gnome package (gnome-vfs has been long deprecated)

-------------------------------------------------------------------
Wed May 13 10:45:16 UTC 2015 - aloisio@gmx.com

- Switched to Qt5.

-------------------------------------------------------------------
Tue Mar 10 10:13:55 UTC 2015 - aloisio@gmx.com

- Enabled dvdnav and bluray for everything

-------------------------------------------------------------------
Mon Mar  2 17:05:51 UTC 2015 - aloisio@gmx.com

- Updated to current version and renamed in
  in accordance with the guidelines at:
  https://en.opensuse.org/openSUSE:Package_naming_guidelines 

-------------------------------------------------------------------
Tue Feb 24 19:15:00 UTC 2015 - aloisio@gmx.com

- Enabled swscale unconditionally 
- Further cleanup
- Added libarchive
- Dropped useless patch

-------------------------------------------------------------------
Thu Feb 19 19:52:22 UTC 2015 - aloisio@gmx.com

- Minor fixes 
- Enabled dvd support
- Dropped support for SLE11 and 11.4
- Spec cleanup

-------------------------------------------------------------------
Wed Jan 28 08:20:26 UTC 2015 - aloisio@gmx.com

- Updated to current git version and droppped
  no longer necessary VLSub extension patch  
- Removed a few obsolete options
- Fixed SLE-12 build

-------------------------------------------------------------------
Fri Jan  2 09:55:54 UTC 2015 - aloisio@gmx.com

- Bumped libvlccore version to 9 to avoid clashes
  with the upcoming vlc 2.2 

-------------------------------------------------------------------
Sun Nov 16 13:28:42 UTC 2014 - aloisio@gmx.com

- Replaced malfunctioning VLSub extension with the official one

-------------------------------------------------------------------
Wed Oct 22 17:33:58 UTC 2014 - aloisio@gmx.com

- Changed soname for libvlc to avoid conflict with vlc stable

-------------------------------------------------------------------
Fri Oct  3 17:40:17 UTC 2014 - aloisio@gmx.com

- Switch to branch 3.x, #11931 fixed.
  * no dvd support due to lack of a sufficiently recent
    libdvdnav
  * no GnuTLS support on distributions older than openSUSE 13.1

-------------------------------------------------------------------
Sat Jul 13 00:00:00 UTC 2013 - dimstar@opensuse.org

- Bump versio to 2.2.0: vlc 2.1.0 is closing in and git master
  already tracks vlc 2.2.0.

-------------------------------------------------------------------
Mon Aug  6 00:00:00 UTC 2012 - dimstar@opensuse.org

- Disable oss: this is getting stale old and not really used on
  openSUSE anymore.

-------------------------------------------------------------------
Fri Mar 30 00:00:00 UTC 2012 - dimstar@opensuse.org

- Inject -L%%{_libdir}/live into CFLAGS and CXXFLAGS for live555 to
  be built. The static lib is in a non-standard place and not
  detected by configure scripts.

-------------------------------------------------------------------
Tue Feb 21 00:00:00 UTC 2012 - dimstar@opensuse.org

- Add dirac-devel BuildRequires.

-------------------------------------------------------------------
Wed Jan 18 00:00:00 UTC 2012 - dimstar@opensuse.org

- Conditionally BuildRequire lua51-devel on Factory/12.2.

-------------------------------------------------------------------
Fri Dec  2 00:00:00 UTC 2011 - dimstar@opensuse.org

- Add libtool BuildRequires, as we need to bootstrap the build.

-------------------------------------------------------------------
Wed Nov 16 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Add libbluray-devel BuildRequires. Allows us to also play back
  Blu-Ray disks.

-------------------------------------------------------------------
Mon Oct  3 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Disable v4l on openSUSE 11.3, as the code does not support the
  'old' kernel used here. See http://mailman.videolan.org/pipermail/vlc-devel/2011-October/082321.html

-------------------------------------------------------------------
Thu Aug 18 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Add git BuildRequires for the extended build system stamping a
  revision.

-------------------------------------------------------------------
Mon Jul 11 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Remove portaudio-devel BuildRequires: this is long obsoleted.

-------------------------------------------------------------------
Sun May  1 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Libass on openSUSE 11.3 is outdated and no longer supported.

-------------------------------------------------------------------
Fri Apr  1 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Rebase fix_font_patch.patch due to freetype.c move in the tree.

-------------------------------------------------------------------
Sun Mar  6 00:00:00 UTC 2011 - dominique-vlc.suse@leuenberger.net

- Remove kde4-filesystem BuildReqiures. Too useless to track
  X-Distro.

-------------------------------------------------------------------
Mon Nov  8 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Remove no longer supported parameters from configure:
  - -enable-asademux, --enable-cddax, --enable-cmml,
  - -enable-libcdio, --enable-release, --enable-v4l
- Remove libasa-devel and csri-devel BuildRequires.

-------------------------------------------------------------------
Wed Oct 20 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Remove mozilla subpackage (will be split out in an own package)

-------------------------------------------------------------------
Fri Aug 27 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Add gdk-pixbuf-devel on openSUSE 11,4+.
- Add gtk2-devel BuildRequires for new versions of libnotify.

-------------------------------------------------------------------
Tue Aug  3 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- BuildRequire libmatroska-devel instead of libmatroska.

-------------------------------------------------------------------
Sat Jul  3 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.

-------------------------------------------------------------------
Wed Jun  9 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- BuildRequires libva-devel on openSUSE 11.2+

-------------------------------------------------------------------
Thu May 13 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Add additionala BuildDependencies to have more complete feature
  set:
  +  avahi-devel, fluidsynth-devel, libavc1394-devel,
    libmodplug-devel, libmtp-devel, libraw1394-devel,
    librsvg-devel, libshout-devel, libudev-devel, libv4l-devel,
    libxml2-devel, pcre-devel, portaudio-devel, schroedinger-devel
    and zvbi-devel .

-------------------------------------------------------------------
Thu Apr 22 00:00:00 UTC 2010 - dominique-vlc.suse@leuenberger.net

- Use mozilla-xulrunner192 on openSUSE 11.3.

-------------------------------------------------------------------
Thu Sep  3 00:00:00 UTC 2009 - dominique-vlc.suse@leuenberger.net

- Properly conflict all the sub-packages from vlc stable release.

-------------------------------------------------------------------
Thu Aug 20 00:00:00 UTC 2009 - dominique-vlc.suse@leuenberger.net

- Removed x11 and xvideo output modules.

-------------------------------------------------------------------
Mon Aug 10 00:00:00 UTC 2009 - dominique-vlc.suse@leuenberger.net

- Remove --enable-caca. It's now properly auto-detected.

-------------------------------------------------------------------
Fri Aug  7 00:00:00 UTC 2009 - dominique-vlc.suse@leuenberger.net

- Add support for flac and speex.

-------------------------------------------------------------------
Thu Jun 18 00:00:00 UTC 2009 - dominique-vlc.suse@leuenberger.net

- Disable XCB on all openSUSE < 11.2